com.h3c.util.pkt

## Class DhcpV6

- java.lang.Object
- - com.h3c.util.pkt.DhcpV6

- All Implemented Interfaces:
    Protocol

      public class DhcpV6
      extends Object
      implements Protocol

  DHCPv6 data store (immutable) add associated `DhcpV6.Builder` (mutable).

  There are no OpenFlow match fields that reference this protocol.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DhcpV6.Builder` Builder (mutable) used to create a new protocol instances.
    `static class` | `DhcpV6.MessageType` DHCPv6 Message types.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProtocolId` | `id()` Returns the protocol ID.
    `DhcpV6.MessageType` | `msgType()` Returns the message type.
    `DhcpOptionV6[]` | `options()` Returns a copy of the options array.
    `String` | `toDebugString()` Returns the protocol debug string.
    `String` | `toString()`
    `int` | `transId()` Returns the transaction ID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### id

          public ProtocolId id()

      Description copied from interface: `Protocol`
      Returns the protocol ID.
      Specified by:
        `id` in interface `Protocol`
      Returns:
        protocol ID

    - #### msgType

          public DhcpV6.MessageType msgType()

      Returns the message type.
      Returns:
        the message type

    - #### transId

          public int transId()

      Returns the transaction ID.
      Returns:
        the transaction ID

    - #### options

          public DhcpOptionV6[] options()

      Returns a copy of the options array.
      Returns:
        the options array

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toDebugString

          public String toDebugString()

      Description copied from interface: `Protocol`
      Returns the protocol debug string.
      Specified by:
        `toDebugString` in interface `Protocol`
      Returns:
        the protocol debug string

Copyright © 2014. All Rights Reserved.